From 8176e0ad9ab002b32d5d331c7dc0b2d2efe2c257 Mon Sep 17 00:00:00 2001
From: Barun Parruck <barun.parruck@gmail.com>
Date: Wed, 2 Mar 2016 20:19:43 +0530
Subject: [PATCH] Removes a warning by replacing abs with qAbs

While running 'make' a warning for the non declaration of std::abs was thrown.
The abs has been replaced by qAbs and the warning is no longer thrown.
---
 src/Workflow/TrackWorkflow.cpp | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/src/Workflow/TrackWorkflow.cpp b/src/Workflow/TrackWorkflow.cpp
index 62f52d1..6d875d0 100644
--- a/src/Workflow/TrackWorkflow.cpp
+++ b/src/Workflow/TrackWorkflow.cpp
@@ -303,7 +303,7 @@ TrackWorkflow::getOutput( qint64 currentFrame, qint64 subFrame, bool paused )
         if ( paused == true && subFrame != m_lastFrame && renderOneFrame == false)
             needRepositioning = true;
         else
-            needRepositioning = ( abs( subFrame - m_lastFrame ) > 1 ) ? true : false;
+            needRepositioning = ( qAbs( subFrame - m_lastFrame ) > 1 ) ? true : false;
     }
     memset( frames, 0, sizeof(*frames) * EffectsEngine::MaxFramesForMixer );
     while ( it != end )
-- 
2.3.2 (Apple Git-55)

